import { Component, h, Host } from '@stencil/core';
const demo1 = `<dvn-checkbox
  checked="true"
  label="Football"
  scale="small"
  tint="danger"
  value="football"
/>`;
const demo2 = `<dvn-checkbox
  checked="true"
  label="How I met your mother?"
  value="himym"
/>`;
const demo3 = `<dvn-checkbox
  checked="true"
  label="Istanbul"
  scale="large"
  tint="secondary"
  value="istanbul"
/>`;
export class ShowcaseCheckbox {
  render() {
    return (h(Host, null,
      h("dvn-card", { leaned: true },
        h("div", { class: "d-flex" },
          h("dvn-component-demo", { domString: demo1 }),
          h("dvn-component-demo", { domString: demo2 }),
          h("dvn-component-demo", { domString: demo3 })))));
  }
  static get is() { return "showcase-checkbox"; }
}
